$(function () {
	$('#exercise_DIV_time_div .input-group.date').datepicker({
        todayBtn: "linked",
        keyboardNavigation: false,
        forceParse: false,
        calendarWeeks: true,
        autoclose: true
    });
	getClassShow();
	if(material_id!="null"){
		$("#project_information_title").html("编辑素材");
		getMaterialInformation();
	}
	if(exerciseID!="null"){
		$("#exerciseType").val(exerciseType);	//活动方式
		$("#exerciseID").val(exerciseID);	//活动id
		getMaterialInformationExercise();
	}
	$('.i-checks').iCheck({
		checkboxClass : 'icheckbox_square-green',
		radioClass : 'iradio_square-green',
	});
})
function getClassShow(){
	$.ajax({
		type : "POST",
		url : webroot+"Material/getAllMaterialClassNo",
		data : "" ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			var list=result.list;
			var html="";
			if(list!=null){
				for(var list_i in list){
					html+="<div class=\"col-sm-3\" ><input type=\"radio\" name=\"material_DIV_class\" value=\""+list[list_i].classID+"\">"+list[list_i].className+"</div>";
				}
			}
			$("#material_DIV_class_div").html(html);
		}
	});	
}
function getMaterialInformation(){
	var data={};
	data['informationID'] = material_id;
	$.ajax({
		type : "POST",
		url : webroot+"Material/getOneMaterialSpace",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==false){
				//alert(result.msg);
				swal("失败！", result.msg, "error");
				return;
			}
			var materialInformation=result.materialInformation;
			var materialClassBinding_list=result.materialClassBinding_list;
			
			$("#id_projectID").val(materialInformation.informationID);	//id
			$("#exerciseType").val(materialInformation.exerciseType);	//活动方式
			$("#exerciseID").val(materialInformation.exerciseID);	//活动id
			$("#material_DIV_title").val(materialInformation.title);	//标题
/*			CKEDITOR.instances.material_DIV_content.setData(materialInformation.content);	//内容
*/			$("#material_DIV_content").html(materialInformation.content)
			$("#material_DIV_describe1").val(materialInformation.describe1);		//描述
			$("#material_DIV_order1").val(materialInformation.order1);			//权重
			$("#material_img").val(materialInformation.img);	//封页
			$("#img").attr('src',materialInformation.img); 
			$("#material_DIV_startTime").val(materialInformation.startTime);	//创建时间
			
			if(materialClassBinding_list!=null){
				for(var materialClassBinding_list_i in materialClassBinding_list){
					$("input[name=material_DIV_class]:radio[value='"+materialClassBinding_list[materialClassBinding_list_i].classID+"']").attr('checked','true');
				}
			}
			
		}
	});	
}
function getMaterialInformationExercise(){
	var data={};
	data['exerciseID'] = $("#exerciseID").val();
	data['exerciseType'] =$("#exerciseType").val();
	$.ajax({
		type : "POST",
		url : webroot+"Material/getOneMaterialSpaceExercise",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==false){
				return;
			}
			var materialInformation=result.materialInformation;
			var materialClassBinding_list=result.materialClassBinding_list;
			
			$("#id_projectID").val(materialInformation.informationID);	//id
			$("#exerciseType").val(materialInformation.exerciseType);	//活动方式
			$("#exerciseID").val(materialInformation.exerciseID);	//活动id
			$("#material_DIV_title").val(materialInformation.title);	//标题
/*			CKEDITOR.instances.material_DIV_content.setData(materialInformation.content);	//内容
*/			$("#material_DIV_content").html(materialInformation.content)
			$("#material_DIV_describe1").val(materialInformation.describe1);		//描述
			$("#material_DIV_order1").val(materialInformation.order1);			//权重
			$("#material_img").val(materialInformation.img);	//封页
			$("#img").attr('src',materialInformation.img); 
			$("#material_DIV_startTime").val(materialInformation.startTime);	//创建时间
			
			if(materialClassBinding_list!=null){
				for(var materialClassBinding_list_i in materialClassBinding_list){
					$("input[name=material_DIV_class]:radio[value='"+materialClassBinding_list[materialClassBinding_list_i].classID+"']").iCheck('check');
				}
			}
			
		}
	});	
}
function upImg(){
	$("#projectPlanbookFile_file_div").empty();
	$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
	$( '#projectPlanbookFile_file' ).prettyFile();
	$("#projectPlanbookFile_DIV").modal('show');
}
function projectPlanbookFile_update(){
    if(fileChangeNo("projectPlanbookFile_file")==true){
    	if(imgFileChange("projectPlanbookFile_file")==false){
    		return;
    	}
    	$("#projectPlanbookFile_DIV_ZZSC").show();
    	$("#projectPlanbookFile_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/uploadImg',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["projectPlanbookFile_file"],  
    	    success: function (data){//上传成功
    	    	$("#projectPlanbookFile_DIV_ZZSC").hide();
    	    	$("#projectPlanbookFile_DIV_SC").show();
    	    	if(data.return==false){
    	    		//alert("只支持jpg、png、gif格式");
    	    		swal("失败！", "只支持jpg、png、gif格式", "error");
    	    		return;
    	    	}
    	    	$("#img").attr('src',data.date); 
    	    	$("#material_img").val(data.date);
    	    	$('#projectPlanbookFile_DIV').modal('hide');
				$("#projectPlanbookFile_file_div").empty();
				$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
				$( '#projectPlanbookFile_file' ).prettyFile();
            }
    	});
    }else{
   	// alert("请先选择上传文件"); 
   	swal("失败！", "请先选择上传文件", "error");
    }
}

function material_save(){
	var spCodesTemp = "";
	$('input:radio[name=material_DIV_class]:checked').each(function(i){
		if(0==i){
	        spCodesTemp = $(this).val();
	       }else{
	        spCodesTemp += (","+$(this).val());
	       }
	});
	if(spCodesTemp==""){
		swal("失败！","请选择发送目录", "error");
		return;
	}
	var informationID=$("#id_projectID").val();	//id
	var title=$("#material_DIV_title").val();	//标题
	var content=CKEDITOR.instances.material_DIV_content.getData();	//内容
	var describe1=$("#material_DIV_describe1").val();		//描述
	var order1=$("#material_DIV_order1").val();			//权重
	var exerciseID=$("#exerciseID").val();	//活动id
	var exerciseType=$("#exerciseType").val();	//活动类型
	
	if(content==""){
		swal("失败！", "内容不能为空", "error");
		return ;
	}
	if(order1==""){
		order1="99";
	}
	var startTime=$("#material_DIV_startTime").val();	//创建时间
	var img=$("#material_img").val();	//封页
	var data={};
	data['exerciseID'] = exerciseID;
	data['exerciseType'] = exerciseType;
	data['informationID'] = informationID;
	data['title'] = title;
	data['content'] = content;
	data['describe1'] = describe1;
	data['order1'] = order1;
	data['startTime'] = startTime;
	data['img'] = img;
	data['class'] = spCodesTemp;
	$.ajax({
		type : "POST",
		url : webroot+"Material/saveMaterial",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			
			if(result.result==true){
				/*if(exerciseID!="0"){
					window.location.href=webroot+"goto/space/space_exercise"; 
				}else{
					window.location.href=webroot+"goto/space/material_Information_list"; 
				}*/
				history.go(-1);
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
			
		}
	});	
}
function material_saveShow(){
	var spCodesTemp = "";
	$('input:radio[name=material_DIV_class]:checked').each(function(i){
		if(0==i){
	        spCodesTemp = $(this).val();
	       }else{
	        spCodesTemp += (","+$(this).val());
	       }
	});
	var informationID=$("#id_projectID").val();	//id
	var title=$("#material_DIV_title").val();	//标题
	var content=CKEDITOR.instances.material_DIV_content.getData();	//内容
	var describe1=$("#material_DIV_describe1").val();		//描述
	var order1=$("#material_DIV_order1").val();			//权重
	var exerciseID=$("#exerciseID").val();	//活动id
	var exerciseType=$("#exerciseType").val();	//活动类型
	
	if(content==""){
		swal("失败！", "内容不能为空", "error");
		return ;
	}
	if(order1==""){
		order1="99";
	}
	var startTime=$("#material_DIV_startTime").val();	//创建时间
	var img=$("#material_img").val();	//封页
	var data={};
	data['exerciseID'] = exerciseID;
	data['exerciseType'] = exerciseType;
	data['informationID'] = informationID;
	data['title'] = title;
	data['content'] = content;
	data['describe1'] = describe1;
	data['order1'] = order1;
	data['startTime'] = startTime;
	data['img'] = img;
	data['class'] = spCodesTemp;
	$.ajax({
		type : "POST",
		url : webroot+"Material/saveShowMaterial",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				$("#id_projectID").val(result.id);
				window.open(webroot+"TopIndex/informationNewDetail2?id="+result.id+"&spaceMessageID=null");
				
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
			
		}
	});	
	
	
}
function material_close(){
	/*if(exerciseID!="null"){
		window.location.href=webroot+"goto/space/space_exercise"; 
	}else{
		window.location.href=webroot+"goto/space/material_Information_list"; 
	}*/
	history.go(-1);
}