$(function () {
	$( '#File_file' ).prettyFile();
	$( '#OperationTeam_DIV_file' ).prettyFile();
	getAllSpaceEducationCourse();
})
var oTable;
var page_start=0;
function getAllSpaceEducationCourse()
{
	 $(document).ready(function() {
		     oTable = $('#hidden-table-info').dataTable( {
		         "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
	             "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
	             "bDestroy" : true,       //销毁表格对象
	             "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
	             "searching": false,//禁用搜索（搜索框）
	             "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
	             "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
	             "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
	             "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
	             //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
	             "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
	             //"bFilter" : true, //是否启动过滤、搜索功能
	             "bAutoWidth": false,
	    		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
	             /*   "iDisplayLength": 5,
	                "iDisplayStart": 0,*/
	             "select": {
	                 style: 'os',
	                 selector: 'td:first-child'
	             },
                 "ajax": {  //ajax方式向后台发送请求
                     "type": "POST",
                     "url": webroot+"SpaceOperationTeam/getAllSpaceOperationTeam",
                     "dataType": "json"
                 },
                 "columns": [
                     { "sTitle": "姓名",   "mData": "name" },
                     { "sTitle": "空间内职位",  "mData": "job" },
                     { "sTitle": "手机号",  "mData": "tel" },
                     { "sTitle": "身份",  "mData": "identity" },
                     { "sTitle": "最高学历",  "mData": "education" },
                     { "sTitle": "工作单位及职务",  "mData": "duty" },
                     { "sTitle": "聘书",  "mData": "fileName","searchable": false },
                     { "sTitle": "操作", "mData": "editable","width": "100px","searchable": false}
                 ],
                 "oLanguage" : { // 国际化配置
                     "sProcessing" : "正在获取数据，请稍后...",
                     "sLengthMenu" : "每页 _MENU_ 条记录",
                     "sZeroRecords" : "没有找到数据",
                     "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                     "sInfoEmpty" : "记录数为0",
                     "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                     "sInfoPostFix" : "",
                     // "sSearch" : "查询",
                     "sUrl" : "",
                     "oPaginate" : {
                         "sFirst" : "第一页",
                         "sPrevious" : "上一页",
                         "sNext" : "下一页",
                         "sLast" : "最后一页"
                     }
                 },
		    });
		} );
}
function search() {
    var name= $("#name").val();
    searchSpaceMessage(name);
}
function searchSpaceMessage(name) {
    var url=webroot+"SpaceOperationTeam/getAllSpaceOperationTeam?name="+name;
    $('#hidden-table-info').DataTable().ajax.url( url).load();
}
/**
 * 添加或修改div显示
 * @param id
 * @returns
 */
function OperationTeam_DIV_Show(id){
	if(id == "0"){
		$("#OperationTeam_DIV_id").val("0");			//id
		$("#OperationTeam_DIV_name").val("");	//姓名
		$("#OperationTeam_DIV_job").val("");		//职位
		$("#OperationTeam_DIV_tel").val("");		//电话
		$("#OperationTeam_DIV_identity").val("0");	//身份
		$("#OperationTeam_DIV_education").val("4");	//最高学历
		$("#OperationTeam_DIV_duty").val("");	//担任职位
		$("#OperationTeam_DIV_file_ID").val("");	//文件ID
		$("#OperationTeam_DIV_file_Name").val("");	//文件名称
		$("#OperationTeam_file_div").empty();
		$("#OperationTeam_file_div").html('<input type="file" id="OperationTeam_DIV_file" name="mainfile" class="form-control" >');
		$( '#OperationTeam_DIV_file' ).prettyFile();
		
	}else {
		var data={};
		data['id'] = id;
		$.ajax({
			type : "POST",
			url : webroot+"SpaceOperationTeam/getSpaceOperationTeam",
			data : JSON.stringify(data) ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var spaceOperationTeam=result.spaceOperationTeam;
				$("#OperationTeam_DIV_id").val(spaceOperationTeam.id);			//id
				$("#OperationTeam_DIV_name").val(spaceOperationTeam.name);	//姓名
				$("#OperationTeam_DIV_job").val(spaceOperationTeam.job);		//职位
				$("#OperationTeam_DIV_tel").val(spaceOperationTeam.tel);		//电话
				$("#OperationTeam_DIV_identity").val(spaceOperationTeam.identity);	//身份
				$("#OperationTeam_DIV_education").val(spaceOperationTeam.education);	//最高学历
				$("#OperationTeam_DIV_duty").val(spaceOperationTeam.duty);	//担任职位
				$("#OperationTeam_DIV_file_ID").val(spaceOperationTeam.fileID);	//文件ID
				$("#OperationTeam_DIV_file_Name").val(spaceOperationTeam.fileName);	//文件名称
				$("#OperationTeam_file_div").empty();
				$("#OperationTeam_file_div").html('<input type="file" id="OperationTeam_DIV_file" name="mainfile" class="form-control" >');
				$( '#OperationTeam_DIV_file' ).prettyFile();
				$("#OperationTeam_file_div input[class='input-large form-control']").val(spaceOperationTeam.fileName);	
			}
		});	
	}
	$('#reform_DIV').modal('show');
}
/**
 * 保存一个
 * 
 * @returns
 */
function course_DIV_save(){
	var fileID=$("#OperationTeam_DIV_file_ID").val();	//文件id
	var fileName=$("#OperationTeam_DIV_file_Name").val();	//文件名称
	if(fileChangeNo("OperationTeam_DIV_file")==true){
		if(pdfFileChange("OperationTeam_DIV_file")==false){
			return;
		}
		$("#Reform_DIV_ZZSC").show();
		$("#Reform_DIV_SC").hide();
		$.ajaxFileUpload({  
		    url: webroot+'File/upload',  
		    secureuri:false, 
		    dataType: 'json',
		    fileElementId : ["OperationTeam_DIV_file"],  
		    success: function (data){//上传成功
		    	$("#Reform_DIV_ZZSC").hide();
		    	$("#Reform_DIV_SC").show();
		    	fileName=data.fileName;
		    	fileID=data.fileID;
		    	
		    	var id=$("#OperationTeam_DIV_id").val();			//id
		    	var name=$("#OperationTeam_DIV_name").val();	//姓名
		    	var job=$("#OperationTeam_DIV_job").val();		//职位
		    	var tel=$("#OperationTeam_DIV_tel").val();		//电话
		    	var identity=$("#OperationTeam_DIV_identity").val();	//身份
		    	var education=$("#OperationTeam_DIV_education").val();	//最高学历
		    	var duty=$("#OperationTeam_DIV_duty").val();	//担任职位
		    	var data={};
		    	data['id'] = id;
		    	data['name'] = name;
		    	data['job'] = job;
		    	data['tel'] = tel;
		    	data['identity'] = identity;
		    	data['education'] = education;
		    	data['duty'] = duty;
		    	data['fileID'] = fileID;
		    	data['fileName'] = fileName;
		    	$.ajax({
		    		type : "POST",
		    		url : webroot+"SpaceOperationTeam/saveSpaceOperationTeam",
		    		data : JSON.stringify(data) ,
		    		async:false,
		    		contentType:'application/json;charset=UTF-8',
		    		success : function(result) {
		    			if(result.result==true){
		    				//alert(result.msg);
		    				swal("成功！", result.msg, "success");
//		    				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//		    				getAllSpaceEducationCourse();
		    				$('#hidden-table-info').DataTable().draw(false);
		    				
		    				$('#reform_DIV').modal('hide');
		    			}else{
		    				//alert(result.msg);
		    				swal("失败！", result.msg, "error");
		    			}
		    		}
		    	});	
	        }
		});
	}else{
		var id=$("#OperationTeam_DIV_id").val();			//id
    	var name=$("#OperationTeam_DIV_name").val();	//姓名
    	var job=$("#OperationTeam_DIV_job").val();		//职位
    	var tel=$("#OperationTeam_DIV_tel").val();		//电话
    	var identity=$("#OperationTeam_DIV_identity").val();	//身份
    	var education=$("#OperationTeam_DIV_education").val();	//最高学历
    	var duty=$("#OperationTeam_DIV_duty").val();	//担任职位
    	var data={};
    	data['id'] = id;
    	data['name'] = name;
    	data['job'] = job;
    	data['tel'] = tel;
    	data['identity'] = identity;
    	data['education'] = education;
    	data['duty'] = duty;
    	data['fileID'] = fileID;
    	data['fileName'] = fileName;
    	$.ajax({
    		type : "POST",
    		url : webroot+"SpaceOperationTeam/saveSpaceOperationTeam",
    		data : JSON.stringify(data) ,
    		async:false,
    		contentType:'application/json;charset=UTF-8',
    		success : function(result) {
    			if(result.result==true){
    				//alert(result.msg);
    				swal("成功！", result.msg, "success");
//    				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//    				getAllSpaceEducationCourse();
    				
    				$('#hidden-table-info').DataTable().draw(false);
    				$('#reform_DIV').modal('hide');
    			}else{
    				//alert(result.msg);
    				swal("失败！", result.msg, "error");
    			}
    		}
    	});	
	}
}
function course_DIV_close(){
	$('#reform_DIV').modal('hide');
}
/**
 * 删除一个课程
 * @returns
 * @author 20170251
 * 2017年3月13日13:47:30
 */
function OperationTeam_DIV_remove(id){
	swal({
        title: "您确定删除吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['id'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"SpaceOperationTeam/removeSpaceOperationTeam",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
//        				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//        				getAllSpaceEducationCourse();
        				$('#hidden-table-info').DataTable().draw(false);
        				changPage();
        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});	
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
	
	/*if (confirm("您确定删除吗？")) {  
    }  
    else {  
    	return;
    }  
	var data={};
	data['id'] = id;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceOperationTeam/removeSpaceOperationTeam",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				getAllSpaceEducationCourse();
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	*/
}
/**
 * 导出数据
 * @returns
 */
function SpaceOperationTeam_DIV_Derive(){
	downloadFile(webroot+"SpaceOperationTeam/deriveSpaceOperationTeam");
}
/**
 * 下载文件
 * @param url
 * @returns
 */
function downloadFile(url){
	var downloadFrame = $('#downloadFrame');
	if(downloadFrame.length == 0){
		downloadFrame = $('<iframe id="downloadFrame" src="" style="display:none"></iframe>');
		$('body').append(downloadFrame);
	}
	downloadFrame.attr('src',url);
}
/**
 * 导出模板
 * @returns
 */
function SpaceOperationTeam_DIV_DeriveTemp(){
	window.open(webroot+"res/templet/spaceOperationTeam.xls");
}
function SpaceOperationTeam_DIV_Lead(){
	$("#File_file_div").empty();
	$("#File_file_div").html(' <input type="file" id="File_file" name="mainfile" class="form-control" accept=".xls" >');
	$( '#File_file' ).prettyFile();
	$('#File_DIV').modal('show');
}
function SpaceOperationTeam_update(){
	if(fileChangeNo("File_file")==true){
    	$("#SpaceOperationTeam_DIV_ZZSC").show();
    	$("#SpaceOperationTeam_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/upload',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["File_file"],  
    	    success: function (data){//上传成功
    	    	var datat={};
    	    	datat['fileId'] = data.fileID;
    	    	$.ajax({
    	    		type : "POST",
    	    		url : webroot+"SpaceOperationTeam/leadSpaceOperationTeam",
    	    		data : JSON.stringify(datat) ,
    	    		async:false,
    	    		contentType:'application/json;charset=UTF-8',
    	    		success : function(result) {
    	    			$("#SpaceOperationTeam_DIV_ZZSC").hide();
    	    	    	$("#SpaceOperationTeam_DIV_SC").show();
    	    			if(result.result==true){
    	    				//alert(result.msg);
    	    				swal("成功！", result.msg, "success");
//    	    				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//    	    				getAllSpaceEducationCourse();
    	    				
    	    				$('#hidden-table-info').DataTable().draw(false);
    	    			
    	    				$('#File_DIV').modal('hide');
    	    			}else{
    	    				//alert(result.msg);
    	    				swal("失败！", result.msg, "error");
    	    			}
    	    		}
    	    	});	
            }
    	});
    }else{
   	 //alert("请先选择上传文件");
   	swal("失败！", "请先选择上传文件", "error");
    }
}
function getSpaceExercise_file(id){
	window.open(webroot+"File/downFileByFileId?id="+id);
}

//删除当前页最后一条记录，跳到上一页
function changPage(){
    var settings = oTable.fnSettings(); //获得datatable的settings; //获得datatable的settings
    var paging_length = settings._iDisplayLength; //当前每页显示多少记录
    var page_start = settings._iDisplayStart; //当前页开始是第几条记录
    var iRecordsDisplay = settings._iRecordsDisplay; //当前页 
    if ((iRecordsDisplay - page_start) == 1) { 
             if (page_start > 0) { 
                  oTable.fnPageChange('previous', true); 
             } 
    }
}