$(function () {
	getAllSpaceFund();
	getAllSpaceEducationCourse();
	GetAllTeam();
	$( '#Fund_DIV_file' ).prettyFile();
	$('#Fund_DIV_SpaceFundUseTime_div .input-group.date').datepicker({
        todayBtn: "linked",
        keyboardNavigation: false,
        forceParse: false,
        calendarWeeks: true,
        autoclose: true,
        endDate : new Date()
    });
	$('.i-checks').iCheck({
        checkboxClass: 'icheckbox_square-green',
        radioClass: 'iradio_square-green',
    });
    $('#name_Fund_DIV_SpaceFundUseType_qt').on('ifChecked', function(event){
		$("#Fund_DIV_SpaceFundUseType").show();
		
	});
	$('#name_Fund_DIV_SpaceFundUseType_qt').on('ifUnchecked', function(event){
		$("#Fund_DIV_SpaceFundUseType").hide();
	});
	
})

function GetAllTeam()
{
	 $.ajax({
			type : "POST",
			url : webroot+"SitesInformation/getAllTeam",
			data : "" ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var list=result.list;
				var html="";
				if(list!=null)
				{
					AllTeam=list;
					for(var list_i in list)
					{
		       			html+="<option value=\""+list[list_i].id+"\" id=\"list_member_"+list[list_i].id+"\">"+list[list_i].name+"</option>"
					}
				}
       	
				$("#Fund_DIV_TeamMessageID").html(html);
			}
		});
}
/**
 * 获取基金信息
 * @author 20170251
 * 2017年3月16日16:17:30
 * @returns
 */
function getAllSpaceFund(){
	$.ajax({
		type : "POST",
		url : webroot+"SpaceFund/getAllSpaceFund",
		data :"" ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				var spaceFund=result.spaceFund;
				if(spaceFund!=null){
					$("#id_spaceFundID").val(spaceFund.spaceFundID);
					$("#id_fundBank").val(spaceFund.fundBank);
					$("#id_SpaceFundNumber").val(spaceFund.spaceFundNumber);
					$("#id_fundContributionEnterprise").val(spaceFund.fundContributionEnterprise);
					$("#id_fundContributionGovernment").val(spaceFund.fundContributionGovernment);
					$("#id_fundContributionSchool").val(spaceFund.fundContributionSchool);
					$("#id_fundContributionRest").val(spaceFund.fundContributionRest);
					$("#id_MoneySum").val(spaceFund.spaceFundMoneyNum);
					$("#id_moneyNumber").val(spaceFund.moneyNumber);
				}else{
					$("#id_spaceFundID").val("");
					$("#id_fundBank").val("");
					$("#id_moneyNumber").val("");
					$("#id_fundContributionEnterprise").val("");
					$("#id_fundContributionGovernment").val("");
					$("#id_fundContributionSchool").val("");
					$("#id_fundContributionRest").val("");
				}
				
			}
		}
	});	
}
/**
 * 保存基金信息
 * @author 20170251
 * 2017年3月16日16:17:30
 * @returns
 */
function saveSpaceFund(){
	var spaceFundID=$("#id_spaceFundID").val();
	var fundBank=$("#id_fundBank").val();
	var moneyNumber=$("#id_moneyNumber").val();
	var fundContributionEnterprise=$("#id_fundContributionEnterprise").val();
	var fundContributionGovernment=$("#id_fundContributionGovernment").val();
	var fundContributionSchool=$("#id_fundContributionSchool").val();
	var fundContributionRest=$("#id_fundContributionRest").val();
	var moneySum=$("#id_MoneySum").val();
	if(parseFloat(id_MoneySum)>parseFloat(moneyNumber)){
		//alert("支出总金额高于基金总金额，请修改基金总金额！");
		swal("失败！","支出总金额高于基金总金额，请修改基金总金额！", "error");
		return;
	}
	if($.trim(fundContributionEnterprise)==""){
		//alert("请填写支持出资比例-企业");
		swal("失败！","请填写支持出资比例-企业", "error");
		return;
	}
	if($.trim(fundContributionGovernment)==""){
		//alert("请填写支持出资比例-政府");
		swal("失败！","请填写支持出资比例-政府", "error");
		return;
	}
	if($.trim(fundContributionSchool)==""){
		//alert("请填写支持出资比例-高校");
		swal("失败！","请填写支持出资比例-高校", "error");
		return;
	}
	if($.trim(fundContributionRest)==""){
		//alert("请填写支持出资比例-其他");
		swal("失败！","请填写支持出资比例-其他", "error");
		return;
	}
	if((parseFloat(fundContributionEnterprise)+parseFloat(fundContributionGovernment)+parseFloat(fundContributionSchool)+parseFloat(fundContributionRest))!=100){
		//alert("支持出资总数异常");
		swal("失败！","出资比例异常", "error");
		return;
	}
	var data={};
	data['spaceFundID'] = spaceFundID;
	data['moneyNumber'] = moneyNumber;
	data['fundBank'] = fundBank;
	data['fundContributionEnterprise'] = fundContributionEnterprise;
	data['fundContributionGovernment'] = fundContributionGovernment;
	data['fundContributionSchool'] = fundContributionSchool;
	data['fundContributionRest'] = fundContributionRest;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceFund/saveSpaceFund",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
				if(result.result==true){
					$("#id_spaceFundID").val(result.id);
    				//alert(result.msg);
    				swal("成功！", result.msg, "success");
    			}else{
    				//alert(result.msg);
    				swal("失败！", result.msg, "error");
    			}
				
		
		}
	});	
}
var oTable;
var page_start=0;
/**
 * 获取基金使用列表
 * @author 20170251
 * 2017年3月16日16:17:09
 * @returns
 */
function getAllSpaceEducationCourse()
{
	 $(document).ready(function() {
		     oTable = $('#hidden-table-info').dataTable( {

	 	         "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
	             "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
	             "bDestroy" : true,       //销毁表格对象
	             "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
	             "searching": false,//禁用搜索（搜索框）
	             "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
	             "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
	             "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
	             "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
	             //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
	             "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
	             //"bFilter" : true, //是否启动过滤、搜索功能
	             "bAutoWidth": false,
	    		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
	             /*   "iDisplayLength": 5,
	                "iDisplayStart": 0,*/
	             "select": {
	                 style: 'os',
	                 selector: 'td:first-child'
	             },
                 "ajax": {  //ajax方式向后台发送请求
                     "type": "POST",
                     "url": webroot+"SpaceFund/getAllSpaceFundUse",
                     "dataType": "json"
                 },
                 "columns": [
                     { "sTitle": "使用时间",   "mData": "spaceFundUseTime" },
                     { "sTitle": "使用方式",  "mData": "spaceFundUseType" },
                     { "sTitle": "使用金额(万)",  "mData": "spaceFundUseMoney" },
                     { "sTitle": "支持团队名称",  "mData": "teamMessageID" },
                     { "sTitle": "备注",  "mData": "spaceFundUseRemark" },
                     { "sTitle": "合同文件",  "mData": "spaceFundUseFileName","searchable": false },
                     { "sTitle": "操作", "mData": "editable","width": "100px","searchable": false}
                 ],
                 "oLanguage" : { // 国际化配置
                     "sProcessing" : "正在获取数据，请稍后...",
                     "sLengthMenu" : "每页 _MENU_ 条记录",
                     "sZeroRecords" : "没有找到数据",
                     "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                     "sInfoEmpty" : "记录数为0",
                     "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                     "sInfoPostFix" : "",
                     // "sSearch" : "查询",
                     "sUrl" : "",
                     "oPaginate" : {
                         "sFirst" : "第一页",
                         "sPrevious" : "上一页",
                         "sNext" : "下一页",
                         "sLast" : "最后一页"
                     }
                 },

             });

     });
}
function search() {
    var spaceFundUseType= $("#spaceFundUseType").val();
    searchMessage(spaceFundUseType);
}
function searchMessage(spaceFundUseType) {
    var url=webroot+"SpaceFund/getAllSpaceFundUse?spaceFundUseType="+spaceFundUseType;
    $('#hidden-table-info').DataTable().ajax.url( url).load();
}
/**
 * 下载文件
 * @returns
 */
function Fund_DIV_file(id){
	window.open(webroot+"File/downFileByFileId?id="+id);
}
/**
 * 导出基金使用
 * @returns
 */
function Fund_DIV_Derive(){
	downloadFile(webroot+"SpaceFund/deriveSpaceFundUse");
}
/**
 * 下载文件
 * @param url
 * @returns
 */
function downloadFile(url){
	var downloadFrame = $('#downloadFrame');
	if(downloadFrame.length == 0){
		downloadFrame = $('<iframe id="downloadFrame" src="" style="display:none"></iframe>');
		$('body').append(downloadFrame);
	}
	downloadFrame.attr('src',url);
}
/**
 * 添加或修改课程div显示
 * @param id
 * @returns
 */
function Fund_DIV_Show(id){
	if($("#id_spaceFundID").val()=="0"){
		//alert("请先保存种子基金信息");
		swal("失败！", "请先保存种子基金信息", "error");
		return;
	}
	var spaceFundID=$("#id_spaceFundID").val();
	var fundBank=$("#id_fundBank").val();
	var moneyNumber=$("#id_moneyNumber").val();
	var fundContributionEnterprise=$("#id_fundContributionEnterprise").val();
	var fundContributionGovernment=$("#id_fundContributionGovernment").val();
	var fundContributionSchool=$("#id_fundContributionSchool").val();
	var fundContributionRest=$("#id_fundContributionRest").val();
	if($.trim(fundContributionEnterprise)==""){
		//alert("请填写支持出资比例-企业");
		swal("失败！", "请填写支持出资比例-企业", "error");
		return;
	}
	if($.trim(fundContributionGovernment)==""){
		//alert("请填写支持出资比例-政府");
		swal("失败！","请填写支持出资比例-政府", "error");
		return;
	}
	if($.trim(fundContributionSchool)==""){
		//alert("请填写支持出资比例-高校");
		swal("失败！","请填写支持出资比例-高校", "error");
		return;
	}
	if($.trim(fundContributionRest)==""){
		//alert("请填写支持出资比例-其他");
		swal("失败！","请填写支持出资比例-其他", "error");
		return;
	}
	if((parseFloat(fundContributionEnterprise)+parseFloat(fundContributionGovernment)+parseFloat(fundContributionSchool)+parseFloat(fundContributionRest))!=100){
		//alert("支持出资总数异常");
		swal("失败！","出资比例异常", "error");
		return;
	}
	var data={};
	data['spaceFundID'] = spaceFundID;
	data['moneyNumber'] = moneyNumber;
	data['fundBank'] = fundBank;
	data['fundContributionEnterprise'] = fundContributionEnterprise;
	data['fundContributionGovernment'] = fundContributionGovernment;
	data['fundContributionSchool'] = fundContributionSchool;
	data['fundContributionRest'] = fundContributionRest;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceFund/saveSpaceFund",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
				if(result.result==true){
					$("#id_spaceFundID").val(result.id);
    			}
		}
	});
	if(id == "0"){
		$("#Fund_DIV_id").val("0");			//id
		$("#Fund_DIV_SpaceFundUseTime").val("");	//使用时间
		$("#Fund_DIV_SpaceFundUseType").val("");		//使用方式
		$("#Fund_DIV_SpaceFundUseMoney").val("");		//使用金额
		$("#Fund_DIV_SpaceFundUseRemark").val("");	//备注
		$("#Fund_DIV_file_ID").val("");	//文件id
		$("#Fund_DIV_file_Name").val("");	//文件名称
		$("#Fund_DIV_file_div").empty();
		$("#Fund_DIV_file_div").html(' <input type="file" id="Fund_DIV_file" name="mainfile" class="form-control" >');
		$( '#Fund_DIV_file' ).prettyFile();
		$('.i-checks').iCheck('uncheck');
	}else {
		$('.i-checks').iCheck('uncheck');
		$("#Fund_DIV_file_div").empty();
		$("#Fund_DIV_file_div").html(' <input type="file" id="Fund_DIV_file" name="mainfile" class="form-control" >');
		$( '#Fund_DIV_file' ).prettyFile();
		var data={};
		data['spaceFundUseID'] = id;
		$.ajax({
			type : "POST",
			url : webroot+"SpaceFund/getSpaceFundUse",
			data : JSON.stringify(data) ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var spaceFundUse=result.spaceFundUse;
				$("#Fund_DIV_id").val(spaceFundUse.spaceFundUseID);			//id
				$("#Fund_DIV_SpaceFundUseTime").val(spaceFundUse.spaceFundUseTime);	//使用时间
				//$("#Fund_DIV_SpaceFundUseType").val(spaceFundUse.spaceFundUseType);		//使用方式
				$("#Fund_DIV_SpaceFundUseMoney").val(spaceFundUse.spaceFundUseMoney);		//使用金额
				$("#Fund_DIV_TeamMessageID").val(spaceFundUse.teamMessageID);	//支持团队
				$("#Fund_DIV_SpaceFundUseRemark").val(spaceFundUse.spaceFundUseRemark);	//备注
				$("#Fund_DIV_file_ID").val(spaceFundUse.spaceFundUseFileID);	//文件id
				$("#Fund_DIV_file_Name").val(spaceFundUse.spaceFundUseFileName);	//文件名称
				$("#Fund_DIV_file_div input[class='input-large form-control']").val(spaceFundUse.spaceFundUseFileName);	//文件名称
				
				var spaceFundUseType=spaceFundUse.spaceFundUseType;
				switch (spaceFundUseType) {
				case "借款":
					$("input[name='name_Fund_DIV_SpaceFundUseType']:radio[value='借款']").iCheck('check');
					break;
				case "投资":
					$("input[name='name_Fund_DIV_SpaceFundUseType']:radio[value='投资']").iCheck('check');
					break;
				case "收购产品":
					$("input[name='name_Fund_DIV_SpaceFundUseType']:radio[value='收购产品']").iCheck('check');
					break;
				
				default:
					$("#name_Fund_DIV_SpaceFundUseType_qt").iCheck('check');
					$("#Fund_DIV_SpaceFundUseType").val(spaceFundUseType);
					break;
				}
			
			}
		});	
	}
	$('#Fund_DIV').modal('show');
}
/**
 * 保存一个课程
 * 2017年3月13日13:47:40
 * @author 20170251
 * 
 * @returns
 */
function course_DIV_save(){
	var spaceFundUseFileID=$("#Fund_DIV_file_ID").val();	//文件id
	var spaceFundUseFileName=$("#Fund_DIV_file_Name").val();	//文件名称
	var spaceFundUseID =$("#Fund_DIV_id").val();			//id
	var spaceFundUseTime =$("#Fund_DIV_SpaceFundUseTime").val();	//使用时间
	//var spaceFundUseType =$("#Fund_DIV_SpaceFundUseType").val();		//使用方式
	var spaceFundUseType=$("input[name='name_Fund_DIV_SpaceFundUseType']:checked").val();
	if(spaceFundUseType=="其他"){
		spaceFundUseType=$("#Fund_DIV_SpaceFundUseType").val();
	}
	
	var spaceFundUseMoney =$("#Fund_DIV_SpaceFundUseMoney").val();		//使用金额
	var teamMessageID =$("#Fund_DIV_TeamMessageID").val();	//支持团队
	var spaceFundUseRemark =$("#Fund_DIV_SpaceFundUseRemark").val();	//备注
	var spaceFundID =$("#id_spaceFundID").val();	//种子id
	if($.trim(spaceFundUseTime)==""){
		//alert("请填写使用时间");
		swal("失败！","请填写使用时间", "error");
		return;
	}
	if($.trim(spaceFundUseType)==""){
		//alert("请填写使用方式");
		swal("失败！","请选择或填写使用方式", "error");
		return;
	}
	if($.trim(teamMessageID)==""){
		//alert("请填写支持团队");
		swal("失败！","请填写支持团队", "error");
		return;
	}

	if(spaceFundUseFileID=="" && fileChangeNo("Fund_DIV_file")==false  ){
		swal("失败！","请上传合同文件", "error");
		return;
	}else{
		if(fileChangeNo("Fund_DIV_file")==false ){
			var spaceFundUseID =$("#Fund_DIV_id").val();			//id
	    	var spaceFundUseTime =$("#Fund_DIV_SpaceFundUseTime").val();	//使用时间
	    	//var spaceFundUseType =$("#Fund_DIV_SpaceFundUseType").val();		//使用方式
	    	var spaceFundUseMoney =$("#Fund_DIV_SpaceFundUseMoney").val();		//使用金额
	    	var teamMessageID =$("#Fund_DIV_TeamMessageID").val();	//支持团队
	    	var spaceFundUseRemark =$("#Fund_DIV_SpaceFundUseRemark").val();	//备注
	    	var spaceFundID =$("#id_spaceFundID").val();	//种子id
			if(teamMessageID==null){
				//alert("请选择支持团队！");
				swal("失败！","请选择支持团队", "error");
				return;
			}
	    	var data={};
	    	data['spaceFundUseID'] = spaceFundUseID;
	    	data['spaceFundUseTime'] = spaceFundUseTime;
	    	data['spaceFundUseType'] = spaceFundUseType;
	    	data['spaceFundUseMoney'] = spaceFundUseMoney;
	    	data['teamMessageID'] = teamMessageID;
	    	data['spaceFundUseRemark'] = spaceFundUseRemark;
	    	data['spaceFundID'] = spaceFundID;
	    	data['spaceFundUseFileName'] = spaceFundUseFileName;
	    	data['spaceFundUseFileID'] = spaceFundUseFileID;
	    	$.ajax({
	    		type : "POST",
	    		url : webroot+"SpaceFund/saveSpaceFundUse",
	    		data : JSON.stringify(data) ,
	    		async:false,
	    		contentType:'application/json;charset=UTF-8',
	    		success : function(result) {
	    			if(result.result==true){
	    				//alert(result.msg);
	    				swal("成功！", result.msg, "success");
	    				$('#Fund_DIV').modal('hide');
//	    				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//	    				getAllSpaceEducationCourse();
	    				$('#hidden-table-info').DataTable().draw(false);
	    			}else{
	    				//alert(result.msg);
	    				swal("失败！", result.msg, "error");
	    			}
	    		}
	    	});	
		}else{
			if(pdfFileChange("Fund_DIV_file")==false ){
				return;
			}
			$("#Fund_DIV_ZZSC").show();
			$("#Fund_DIV_SC").hide();
			$.ajaxFileUpload({  
			    url: webroot+'File/upload',  
			    secureuri:false, 
			    dataType: 'json',
			    fileElementId : ["Fund_DIV_file"],  
			    success: function (data){//上传成功
			    	$("#Fund_DIV_ZZSC").hide();
			    	$("#Fund_DIV_SC").show();
			    	spaceFundUseFileName=data.fileName;
			    	spaceFundUseFileID=data.fileID;
			    	
			    	var spaceFundUseID =$("#Fund_DIV_id").val();			//id
			    	var spaceFundUseTime =$("#Fund_DIV_SpaceFundUseTime").val();	//使用时间
			    	//var spaceFundUseType =$("#Fund_DIV_SpaceFundUseType").val();		//使用方式
			    	var spaceFundUseMoney =$("#Fund_DIV_SpaceFundUseMoney").val();		//使用金额
			    	var teamMessageID =$("#Fund_DIV_TeamMessageID").val();	//支持团队
			    	var spaceFundUseRemark =$("#Fund_DIV_SpaceFundUseRemark").val();	//备注
			    	var spaceFundID =$("#id_spaceFundID").val();	//种子id
					if(teamMessageID==null){
						//alert("请选择支持团队！");
						swal("失败！","请选择支持团队", "error");
						return;
					}
			    	var data={};
			    	data['spaceFundUseID'] = spaceFundUseID;
			    	data['spaceFundUseTime'] = spaceFundUseTime;
			    	data['spaceFundUseType'] = spaceFundUseType;
			    	data['spaceFundUseMoney'] = spaceFundUseMoney;
			    	data['teamMessageID'] = teamMessageID;
			    	data['spaceFundUseRemark'] = spaceFundUseRemark;
			    	data['spaceFundID'] = spaceFundID;
			    	data['spaceFundUseFileName'] = spaceFundUseFileName;
			    	data['spaceFundUseFileID'] = spaceFundUseFileID;
			    	$.ajax({
			    		type : "POST",
			    		url : webroot+"SpaceFund/saveSpaceFundUse",
			    		data : JSON.stringify(data) ,
			    		async:false,
			    		contentType:'application/json;charset=UTF-8',
			    		success : function(result) {
			    			if(result.result==true){
			    				//alert(result.msg);
			    				swal("成功！", result.msg, "success");
			    				$('#Fund_DIV').modal('hide');
//			    				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//			    				getAllSpaceEducationCourse();
			    				$('#hidden-table-info').DataTable().draw(false);
			    			}else{
			    				//alert(result.msg);
			    				swal("失败！", result.msg, "error");
			    			}
			    		}
			    	});	
		        }
			});
		}
		
	}
	
}
function course_DIV_close(){
	$('#Fund_DIV').modal('hide');
}
/**
 * 删除一个课程
 * @returns
 * @author 20170251
 * 2017年3月13日13:47:30
 */
function Fund_DIV_remove(id){
	swal({
        title: "您确定删除吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['spaceFundUseID'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"SpaceFund/removeSpaceFundUse",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
//        				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
//        				getAllSpaceEducationCourse();

        				$('#hidden-table-info').DataTable().draw(false);
        				changPage();
        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
	
	
	/*if (confirm("您确定删除吗？")) {  
    }  
    else {  
    	return;
    }  
	var data={};
	data['spaceFundUseID'] = id;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceFund/removeSpaceFundUse",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				getAllSpaceEducationCourse();
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	*/
}

//删除当前页最后一条记录，跳到上一页
function changPage(){
    var settings = oTable.fnSettings(); //获得datatable的settings; //获得datatable的settings
    var paging_length = settings._iDisplayLength; //当前每页显示多少记录
    var page_start = settings._iDisplayStart; //当前页开始是第几条记录
    var iRecordsDisplay = settings._iRecordsDisplay; //当前页 
    if ((iRecordsDisplay - page_start) == 1) { 
             if (page_start > 0) { 
                  oTable.fnPageChange('previous', true); 
             } 
    }
}

