$(function () {
	getAllSpaceEducationCourse();
})
var oTable;
var page_start=0;
function getAllSpaceEducationCourse()
{
	 $(document).ready(function() {
		     oTable = $('#hidden-table-info').dataTable( {
		        "aoColumnDefs": [
		            { "bSortable": false, "aTargets": [ 4 ] }
		        ],
		        "oLanguage": {
					           "sEmptyTable": "无目录数据！",
					           "sInfoFiltered":"(全部有 _MAX_ 条数据)"
					         },
		        "aaSorting": [[0, 'asc']],
		        "bDestroy": true,
		        "aoColumns": [
		           { "sTitle": "团队ID",   "mData": "teamID" },
		           { "sTitle": "团队名称",  "mData": "teamName" },
		           { "sTitle": "账户",  "mData": "userAccount" },
		          /* { "sTitle": "团队更新时间",  "mData": "updateTime" },*/
		           { "sTitle": "团队最后一次登录",  "mData": "loginTime" },
		           { "sTitle": "操作", "mData": "editable","width": "200px","searchable": false}
		        ],
				"sAjaxSource":webroot+"teamMessage/getTeamAll",
				"sAjaxDataProp": "list"
		    });
		    $('#hidden-table-info_filter input').on( 'keyup change', function () {  
		           // alert(this.value);
			    	$("#hidden-table-info tbody").removeHighlight();
			    	if(this.value!=""){
			    		$("#hidden-table-info tbody").highlight(this.value);
			    	}    
			    });
		    
		} );
}

function reform_DIV_Show(id){
	if(id == "0"){
		$("#Reform_DIV_name").val("");
		$("#Reform_DIV_account").val("");	
		$("#Reform_DIV_password").val("");		
		$("#Reform_DIV_password2").val("");	
		$("#material_img").val(webroot+"res/image/team.jpg");
		$("#img").attr('src',webroot+"res/image/team.jpg"); 
	}
	$('#reform_DIV').modal('show');
}

function course_DIV_save(){
	var Reform_DIV_name=$("#Reform_DIV_name").val();			
	var Reform_DIV_account=$("#Reform_DIV_account").val();	
	var Reform_DIV_password=$("#Reform_DIV_password").val();		
	var Reform_DIV_password2=$("#Reform_DIV_password2").val();
	var img=$("#material_img").val();
	if(Reform_DIV_password!=Reform_DIV_password2){
		//alert("两次密码不相同！");
		swal("失败！", "两次密码不相同！", "error");
		return;
	}
	if(Reform_DIV_password==""){
		//alert("密码不能为空！");
		swal("失败！", "登录密码不能为空！", "error");
		return;
	}
	if(img==""){
		//alert("请选择照片！");
		swal("失败！", "请选择照片！", "error");
		return;
	}
	var reg = /^(?![0-9]+$)(?![a-zA-Z]+$)[A-Za-z0-9]{6,20}$/;
	if(!reg.test(Reform_DIV_password)){
		//alert("密码不符合要求，请输入6-20位字母数字组合的密码！");
		swal("失败！", "密码不符合要求，请输入6-20位字母数字组合的密码！", "error");
		return;
	}
	var data={};
	data['realName'] = Reform_DIV_name;
	data['userAccount'] = Reform_DIV_account;
	data['userPassword'] = Reform_DIV_password;
	data['img'] = img;
	$.ajax({
		type : "POST",
		url : webroot+"teamMessage/SaveTeamLogin",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
				getAllSpaceEducationCourse();
				$('#reform_DIV').modal('hide');
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	
	
}
function course_DIV_close(){
	$('#reform_DIV').modal('hide');
}
function exercise_DIV_exercise(id){
	swal({
        title: "您确定修改状态吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['teamMessageID'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"teamMessage/getTeamLoginState",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
        				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
        				getAllSpaceEducationCourse();
        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});	
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
	
	/*if (confirm("您确定修改状态吗？")) {  
    }  
    else {  
    	return;
    } 
	var data={};
	data['teamMessageID'] = id;
	$.ajax({
		type : "POST",
		url : webroot+"teamMessage/getTeamLoginState",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				getAllSpaceEducationCourse();
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	*/
}
function upImg(){
	$("#projectPlanbookFile_file_div").empty();
	$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
	$( '#projectPlanbookFile_file' ).prettyFile();
	$("#projectPlanbookFile_DIV").modal('show');
}
function projectPlanbookFile_update(){
    if(fileChangeNo("projectPlanbookFile_file")==true){
    	if(imgFileChange("projectPlanbookFile_file")==false){
    		return;
    	}
    	$("#projectPlanbookFile_DIV_ZZSC").show();
    	$("#projectPlanbookFile_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/uploadImg',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["projectPlanbookFile_file"],  
    	    success: function (data){//上传成功
    	    	$("#projectPlanbookFile_DIV_ZZSC").hide();
    	    	$("#projectPlanbookFile_DIV_SC").show();
    	    	if(data.return==false){
    	    		//alert("只支持jpg、png、gif格式");
    	    		swal("失败！","只支持jpg、png、gif格式", "error");
    	    		return;
    	    	}
    	    	$("#img").attr('src',data.date); 
    	    	$("#material_img").val(data.date);
    	    	$('#projectPlanbookFile_DIV').modal('hide');
				$("#projectPlanbookFile_file_div").empty();
				$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
				$( '#projectPlanbookFile_file' ).prettyFile();
            }
    	});
    }else{
   	 //alert("请先选择上传文件"); 
   	swal("失败！","请先选择上传文件", "error");
    }
}

function exercise_DIV_password(id){
	swal({
        title: "您确定重置此用户密码吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['teamMessageID'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"teamMessage/restartPassword",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});	
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
}
function SpaceMajorApparatus_DIV_DeriveTemp(){
	window.open(webroot+"res/templet/spacqeMajorApparatUser.xls");
}
function SpaceMajorApparatus_DIV_Lead(){
	$("#File_file_div").empty();
	$("#File_file_div").html(' <input type="file" id="File_file" name="mainfile" class="form-control" accept=".xls" >');
	$( '#File_file' ).prettyFile();
	$('#File_DIV').modal('show');
}
function SpaceMajorApparatus_update(){
	if(fileChangeNo("File_file")==true){
    	$("#SpaceMajorApparatus_DIV_ZZSC").show();
    	$("#SpaceMajorApparatus_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/upload',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["File_file"],  
    	    success: function (data){//上传成功
    	    	var datat={};
    	    	datat['fileId'] = data.fileID;
    	    	$.ajax({
    	    		type : "POST",
    	    		url : webroot+"teamMessage/leadMajorApparatUser",
    	    		data : JSON.stringify(datat) ,
    	    		async:false,
    	    		contentType:'application/json;charset=UTF-8',
    	    		success : function(result) {
    	    			$("#SpaceMajorApparatus_DIV_ZZSC").hide();
    	    	    	$("#SpaceMajorApparatus_DIV_SC").show();
    	    			if(result.result==true){
    	    				//alert(result.msg);
    	    				swal("成功！", result.msg, "success");
    	    				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
    	    				getAllSpaceEducationCourse();
    	    				$('#File_DIV').modal('hide');
    	    			}else{
    	    				//alert(result.msg);
    	    				swal("失败！", result.msg, "error");
    	    			}
    	    		}
    	    	});	
            }
    	});
    }else{
   	 //alert("请先选择上传文件"); 
   	swal("失败！", "请先选择上传文件", "error");
    }
}