$(function () {
	getAllSpaceEducationCourse();
})
var oTable;
var page_start=0;
function getAllSpaceEducationCourse()
{
	 $(document).ready(function() {
		     oTable = $('#hidden-table-info').dataTable( {
		        "aoColumnDefs": [
		            { "bSortable": false, "aTargets": [ 3 ] }
		        ],
		        "oLanguage": {
					           "sEmptyTable": "无目录数据！",
					           "sInfoFiltered":"(全部有 _MAX_ 条数据)"
					         },
		        "aaSorting": [[0, 'asc']],
		        "bDestroy": true,
		        "aoColumns": [
		           { "sTitle": "导师姓名",   "mData": "teacherName" },
		           { "sTitle": "导师职位",  "mData": "teacherJob" },
		           { "sTitle": "排序",  "mData": "order1" },
		           { "sTitle": "操作", "mData": "editable","width": "100px","searchable": false}
		        ],
				"sAjaxSource":webroot+"Teacher/getAllTeacher",
				"sAjaxDataProp": "list",
				"initComplete": function(settings, json) {
					oTable.fnPageChange(page_start);
				}
		    });
		    $('#hidden-table-info_filter input').on( 'keyup change', function () {  
		           // alert(this.value);
			    	$("#hidden-table-info tbody").removeHighlight();
			    	if(this.value!=""){
			    		$("#hidden-table-info tbody").highlight(this.value);
			    	}    
			    });
		    
		} );
}

function teacher_DIV_Show(id){
	if(id == "0"){
		$("#Reform_DIV_id").val("0");	
		$("#Reform_DIV_name").val("");	
		$("#Reform_DIV_job").val("");		
		$("#Reform_DIV_abstract").val("");	
		$("#Reform_DIV_order1").val("");
		$("#material_img").val("");
		$("#img").attr('src',""); 
	}else{
		var data={};
		data['id'] = id;
		$.ajax({
			type : "POST",
			url : webroot+"Teacher/getOneTeacher",
			data : JSON.stringify(data) ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var teacher=result.teacher;
				$("#Reform_DIV_id").val(teacher.id);	
				$("#Reform_DIV_name").val(teacher.teacherName);	
				$("#Reform_DIV_job").val(teacher.teacherJob);		
				$("#Reform_DIV_abstract").val(teacher.teacherAbstract);	
				$("#Reform_DIV_order1").val(teacher.order1);
				$("#material_img").val(teacher.img);
				$("#img").attr('src',teacher.img); 
			}
		});	
	}
	$('#reform_DIV').modal('show');
}

function course_DIV_save(){
	var Reform_DIV_id=$("#Reform_DIV_id").val();			
	var Reform_DIV_name=$("#Reform_DIV_name").val();	
	var Reform_DIV_job=$("#Reform_DIV_job").val();		
	var Reform_DIV_abstract=$("#Reform_DIV_abstract").val();
	var Reform_DIV_order1=$("#Reform_DIV_order1").val();
	var material_img=$("#material_img").val();
	if(material_img==""){
		//alert("请选择照片！");
		swal("失败！","请选择照片！", "error");
		return;
	}
	var data={};
	data['id'] = Reform_DIV_id;
	data['teacherName'] = Reform_DIV_name;
	data['teacherJob'] = Reform_DIV_job;
	data['teacherAbstract'] = Reform_DIV_abstract;
	data['order1'] = Reform_DIV_order1;
	data['img'] = material_img;
	$.ajax({
		type : "POST",
		url : webroot+"Teacher/saveTeacher",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
				getAllSpaceEducationCourse();
				$('#reform_DIV').modal('hide');
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	
	
}
function course_DIV_close(){
	$('#reform_DIV').modal('hide');
}
function teacher_DIV_remove(id){
	swal({
        title: "您确定删除吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['id'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"Teacher/removeOneTeacher",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
        				page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
        				getAllSpaceEducationCourse();
        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});	
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
	
	
	/*if (confirm("您确定删除吗？")) {  
    }  
    else {  
    	return;
    }  
	var data={};
	data['id'] = id;
	$.ajax({
		type : "POST",
		url : webroot+"Teacher/removeOneTeacher",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				getAllSpaceEducationCourse();
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	*/
}
function upImg(){
	$("#projectPlanbookFile_file_div").empty();
	$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
	$( '#projectPlanbookFile_file' ).prettyFile();
	$("#projectPlanbookFile_DIV").modal('show');
}
function projectPlanbookFile_update(){
    if(fileChangeNo("projectPlanbookFile_file")==true){
    	if(imgFileChange("projectPlanbookFile_file")==false){
    		return;
    	}
    	$("#projectPlanbookFile_DIV_ZZSC").show();
    	$("#projectPlanbookFile_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/uploadImg',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["projectPlanbookFile_file"],  
    	    success: function (data){//上传成功
    	    	$("#projectPlanbookFile_DIV_ZZSC").hide();
    	    	$("#projectPlanbookFile_DIV_SC").show();
    	    	if(data.return==false){
    	    		//alert("只支持jpg、png、gif格式");
    	    		swal("失败！", "只支持jpg、png、gif格式", "error");
    	    		return;
    	    	}
    	    	$("#img").attr('src',data.date); 
    	    	$("#material_img").val(data.date);
    	    	$('#projectPlanbookFile_DIV').modal('hide');
				$("#projectPlanbookFile_file_div").empty();
				$("#projectPlanbookFile_file_div").html('<input type="file" id="projectPlanbookFile_file" name="mainfile" class="form-control" >');
				$( '#projectPlanbookFile_file' ).prettyFile();
    	    },
            error: function(data, status, e){ 
            	$("#projectPlanbookFile_DIV_ZZSC").hide();
    	    	$("#projectPlanbookFile_DIV_SC").show();
            }
    	});
    }else{
   	 //alert("请先选择上传文件"); 
   	swal("失败！", "请先选择上传文件", "error");
    }
}
